Redmine - Defect #7533

Inline image alt-text fails due to wiki syntax
2011-02-03 17:19 - lan Epperson

Status: New Start date: 2011-02-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 1.1.0
Description

Using Redmine 1.1.0.stable.4702 (MySQL)

When an image is attached to a bug and the description contains a wiki link and the image is placed inline, the alt-text html code for
the image is shown on resulting bug.

to recreate:

Create a bug
Upload an image to that bug with a #1 somewhere in the description.
Edit the bug description to show the image inline: add

!image.png!

View the bug
You will see that the #1 in the issue description is expanded in the alt text and mangles the html:

40 | engenv.com.mxd. mxtoc|box.com | 64.18.4.14 s5b2.psmtp.com
450 days old United States

#1 of the set" alt="This is image of the set" />

# screen-capture-9.png - This is image #1 of the set (76 kB} i Ian Epperson, 02/03/2011 08:13 am

<img src="/attachments/download/128"
title="This is image <a href="/issues/1" class="issue status—-6 priority-2 closed created-by-me
assigned-to-me"
title="Set up HTTPS access (Closed)">#1</a> of the set"
alt="This is image <a href="/issues/1" class="issue status—-6 priority-2 closed created-by-me ass
igned-to-me"
title="Set up HTTPS access (Closed)">#1</a> of the set"
/>

Related issues:
Blocked by Redmine - Feature #6269: RedCloth 4 support New

History

#1 - 2011-02-03 17:58 - Etienne Massip

- Category set to Text formatting

Looks like it' a RedCloth bug fixed with 4.0.2.
http://jgarber.lighthouseapp.com/projects/13054-redcloth/tickets/23
http://www.tcpdf.org

